Issue 540 wish: darcs remove -r to complement darcs add -r

Title wish: darcs remove -r to complement darcs add -r
Priority wishlist Status resolved
Milestone Resolved in
Superseder Nosy List Quiark, darcs-devel, dmitry.kurochkin, jaredj, kowey, markstos, thorkilnaur, tommy
Assigned To Quiark
Topics ProbablyEasy

Created on 2007-09-20.15:45:51 by markstos, last changed 2010-04-03.12:22:39 by Quiark.

msg2135 (view) Author: markstos Date: 2007-09-20.15:45:31
Darcs should have 'darcs remove -r' to complement 'darcs add -r'

The use case: I ran darcs add -r  only to find that it added many files I
intended to be boring. I wanted to undo that action and try again. "darcs remove
-r" would do that, but doesn't exist. 

I used 'darcs revert -a' instead, but darcs surprised me by not using "remove"
as the 'revert' of 'add', but instead completely deleted all the files without
further warning! I'm not sure whether that's just my own confusion about
'revert', or a separate bug or just a case where an extra prompt would be helpful.
msg2146 (view) Author: markstos Date: 2007-09-26.14:22:38
While I still advocate adding "darcs remove -r", I want to note that I realized
a better solution for my "use case":

I could have used "darcs add --dry-run", which would have allowed me to make
adjustments to the boring file, without the need to remove files from darcs mgmt
after the fact.
msg2343 (view) Author: markstos Date: 2008-01-07.01:37:10
Does anyone else here have an opinion on whether darcs remove should "-r" for a
recursive removal to complement "darcs add -r" ?
msg2370 (view) Author: droundy Date: 2008-01-08.21:07:55
I'm pretty ambivalent.  It's not a bad flag to add.
msg8544 (view) Author: kowey Date: 2009-08-27.16:49:10
Sounds like a useful flag

> I used 'darcs revert -a' instead, but darcs surprised me by not using
> "remove" as the 'revert' of 'add', but instead completely deleted all
> the files without further warning!

I've split that out into issue1577
msg9270 (view) Author: Quiark Date: 2009-11-14.15:55:43
I'll try to implement it.
msg10647 (view) Author: Quiark Date: 2010-04-03.12:22:38
The following patch updated the status of issue540 to be resolved:

* Resolve issue540: darcs remove --recursive 
Ignore-this: 1c1bf04aef237e7b82b2fad4d45a0840
Date User Action Args
2007-09-20 15:46:15markstoscreate
2007-09-26 14:22:41markstossetstatus: unread -> unknown
nosy: markstos, beschmi, droundy, kowey, tommy
messages: + msg2146
2008-01-07 01:37:14markstossetmessages: + msg2343
2008-01-08 21:08:01droundysetmessages: + msg2370
2008-02-11 01:27:41markstossetstatus: unknown -> deferred
nosy: droundy, tommy, beschmi, kowey, markstos
2009-08-06 17:49:30adminsetnosy: + jast, Serware, dmitry.kurochkin, darcs-devel, zooko, dagit, mornfall, simon, thorkilnaur, - droundy
2009-08-06 20:53:53adminsetnosy: - beschmi
2009-08-10 22:08:40adminsetnosy: - darcs-devel, zooko, jast, dagit, Serware, mornfall
2009-08-25 18:01:17adminsetnosy: + darcs-devel, - simon
2009-08-27 13:54:56adminsetnosy: tommy, kowey, markstos, darcs-devel, thorkilnaur, dmitry.kurochkin
2009-08-27 16:49:13koweysetstatus: deferred -> needs-implementation
nosy: + jaredj
topic: + ProbablyEasy
messages: + msg8544
2009-11-14 15:55:45Quiarksetnosy: + Quiark
messages: + msg9270
assignedto: Quiark
2010-04-03 12:22:39Quiarksetstatus: needs-implementation -> resolved
messages: + msg10647